{% macro genCardCard(header, action, id = 'cardCard') %}
    <div id="{{ id }}" class="card" style="border-radius: 8px">
        <div class="card-body">
            <h6>{{ header }}
                {% if action is not null %}
                    <a class="text-black-50" style="float: right; vertical-align: middle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true"
                       aria-expanded="false">
                        <i class="fa fa-ellipsis-v" aria-hidden="true"></i>
                    </a>
                    {% set indexAction = action|length-1 %}
                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuLink">
                        {% for i in 0..indexAction %}
                            <a class="dropdown-item" href="{{ action[i]['target'] }}">{{ action[i]['name'] }}</a>
                        {% endfor %}
                    </div>
                {% endif %}
            </h6>
            <div class="dropdown-divider"></div>

            <div id="isi">

            </div>
        </div>
    </div>

{% endmacro %}